Package com.databricks.jdbc.model.core

## Class ColumnMetadata

- java.lang.Object
- - com.databricks.jdbc.model.core.ColumnMetadata

    public class ColumnMetadata
    extends Object

### Nested Class Summary

Nested Classes
`static class` `ColumnMetadata.Builder`

### Method Summary

All Methods Instance Methods Concrete Methods
`String` `getName()`
`int` `getNullable()`
`int` `getPrecision()`
`int` `getScale()`
`int` `getTypeInt()`
`String` `getTypeText()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Method Detail

#### getName

    public String getName()

#### getTypeText

    public String getTypeText()

#### getTypeInt

    public int getTypeInt()

#### getPrecision

    public int getPrecision()

#### getScale

    public int getScale()

#### getNullable

    public int getNullable()